# Changelog
## Current
### Features
### Fix
* Bump lib-vue to v0.1.10
## Version 1.5.6
### Features
* Display only enable modes, default to all
## Version 1.5.5
### Fix
* Display canceled schedules
## Version 1.5.3
### Features
* Handle shuttle rating form
### Fix
* Mobile UI
* Follow driver on map
## Version 1.5.2
### Fix
* Bump lib-vue to v0.1.2
## Version 1.5.0
### Features
* migration to lib-vue 0.1.0.alpha.3
* Added campus name information on ride creation
* Autogen html docs on deploy from jsdocs
### Fix
* Fix time selection in rides history
* Fix follow-the-ride feature
## Version 1.4.6
### Features
* Change terms of use
### Fix
* Fix redirect to login on "c'est parti" button
* Fix rating call according to lib-vue update
* Fix button display for firefox 5.3
* Fix X-SEND header for mail confirmation
## Version 1.4.5
### Features
* Export metrics for prometheus
* Add automatically trim
### Fix
* Fix registration link
* Fix token redirection
* Fix modale overflow
* Fix potential memory leak
* Updated api calls according to lib-vue
* Fixed rating submit
* Fix container restart
* Disabled possibility to send rating form twice
## Version 1.4.4
### Features
* Page my-account has 3 sub-pages : edit-account, my-rides and current-rides
* User can delete his account from his profile page
* Add new component to enforce password strength
* Add constraint on password confirmation
* Add rating form
* Added max date to create ride according to defaultReservationScope
* Export dashboard and monitoring on deploy
### Fix
* UI Homepage
* Added signup page
* Added modal to select campus to create a new ride from homepage
* Fix infosec issue with X-Frame header
* Fix type error for dropdown
* Fix modal prop
* Fix realtime driver tracking bug
* Fix delete current ride in my-account
## Version 1.4.3
### Features
* Change GDPR content page
* Phone number field has been improved
## Version 1.4.2
### Features
* Improve reliability, k8s side
## Version 1.4.1
### Features
* Add GDPR information
* Add phone information on ride ordering
### Fix
* Fix SSR for ride view
## Version 1.4.0
### Features
* Account creation
* Account management
* Ride ordering
* Login / Logout
## Version 1.2.0
### Features
* Use common library
## Version 1.1.0
### Features
* Restrict usage
### Fix
* Fix position refresh
